MissingContractAttachments
Keywords: net.corda.core.transactions.MissingContractAttachments class
Date: 2023-09-18

net.corda.core.transactions

## Class MissingContractAttachments

-     public class MissingContractAttachments

  A contract attachment was missing when trying to automatically attach all known contract attachments

- - ### Constructor Detail

    - #### MissingContractAttachments

          @JvmOverloads
          public MissingContractAttachments(@NotNull
                                                          java.util.List<? extends net.corda.core.contracts.TransactionState<? extends net.corda.core.contracts.ContractState>> states,
                                                          @Nullable
                                                          java.lang.String contractsClassName,
                                                          @Nullable
                                                          java.lang.Integer minimumRequiredContractClassVersion)

      A contract attachment was missing when trying to automatically attach all known contract attachments

      Parameters:
        `states` - States which have contracts that do not have corresponding attachments in the attachment store.

    - #### MissingContractAttachments

          @JvmOverloads
          public MissingContractAttachments(@NotNull
                                                          java.util.List<? extends net.corda.core.contracts.TransactionState<? extends net.corda.core.contracts.ContractState>> states,
                                                          @Nullable
                                                          java.lang.String contractsClassName)

      A contract attachment was missing when trying to automatically attach all known contract attachments

      Parameters:
        `states` - States which have contracts that do not have corresponding attachments in the attachment store.

    - #### MissingContractAttachments

          @JvmOverloads
          public MissingContractAttachments(@NotNull
                                                          java.util.List<? extends net.corda.core.contracts.TransactionState<? extends net.corda.core.contracts.ContractState>> states)

      A contract attachment was missing when trying to automatically attach all known contract attachments

      Parameters:
        `states` - States which have contracts that do not have corresponding attachments in the attachment store.

  - ### Method Detail

    - #### getStates

          @NotNull
          public java.util.List<net.corda.core.contracts.TransactionState> getStates()

      States which have contracts that do not have corresponding attachments in the attachment store.